{% extends "layout.html" %}
{% block body %}

<div class="card mt-4 mb-4">
  <div class="card-body">


		<div class="accordion" id="accordionExample">
  <div class="card mt-3">
	<div class="card-header p-0 text-right" id="headingOne">
	  <h5 class="mb-0">
		<button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
		  اطلاعات نمودار تولد
		</button>
	  </h5>
	</div>

	<div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
	  <div class="card-body">
		<form id="jdata" name="jdata">
		  <div class="">
			  <div class="from-group"> 
          <input
            class="form-control mb-3"
            type="text"
            style="direction: rtl; font-family: Vazir;"
            id="name"
            name="name"
            placeholder="نام بومی"
            value=""
            min="1"
            max="15"
          />
				</div>

				<div id="mdate" title="Date format: 1900-01-31 | 1900/01/31 "></div>
				  <div style="font-family: Vazir; direction: rtl; text-align: right;">تاریخ تولد</div>
				<input
				  type="date"
				  id="date"
				  name="date"
				  class="form-control"
				  placeholder="1900/01/31"
				  min="0000-01-01"
				  max="6000-01-31"
				  pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01]{10,10}"
				  value=""
				  required
				/>

				<div id="mtime" title="Time format: 23:59 | 7:59 " class="mt-3">
				  <div style="font-family: Vazir; direction: rtl; text-align: right;">ساعت تولد</div>
				</div>
				<input
				  type="time"
				  id="time"
				  name="time"
				  class="form-control"
				  placeholder="23:59"
				  value=""
				  step="10"
				  pattern="[0-9]{2}:(0[1-9]|1[012]):(0[1-9]|1[0-9]|2[0-9]|3[01]{8,8}"
				  required
				/>

				<div
				  id="mtz"
				  class="mt-3"
				  title="Time Zone to GMT +|-&#013;East of GMT: +, and for West of GMT: -&#013;(decimal)"
				  onclick="location.href='http://www.greenwichmeantime.com';"
				  >
					  <div style="font-family: Vazir; direction: rtl; text-align: right;">منطقه زمانی
					  (DST)
					  </div>
				  </div>
				<input
				  type="number"
				  id="tz"
				  class="form-control"
				  name="tz"
				  min="-12"
				  max="14"
				  placeholder="+1"
				  value=""
				  step="0.5"
				  required
				/>

				<br />

				<div
				  id="mlat"
				  title="If online, enter a location name&#013;and click on this link to obtain coords "
				  onclick="map()"
				>
				  <div style="font-family: Vazir; direction: rtl; text-align: right;">
					طول جغرافیایی
					(Longitude)
				  </div>

				  </div
				>
				<input
				  class="form-control"
				  type="text"
				  id="lat"
				  name="lat"
				  placeholder="45N48"
				  value=""
				  required
				/>

				<div
				class="mt-3"
				  id="mlon"
				  title="If online, enter a location name&#013;and click on this link to obtain coords "
				  onclick="map()"
				>
				  <div style="font-family: Vazir; direction: rtl; text-align: right;">
				  عرض جغرافیایی
														  (Latitude)

				  </div>

				</div>
				<input
				  type="text"
				  id="lon"
				  name="lon"
				  class="form-control"
				  placeholder="15E58"
				  value=""
				  required
				/>

				<br />
				  <div class="btn-group" role="group" aria-label="Basic example">
					<button type="button" class="btn btn-dark-green" id="get_chart" onclick="generate()">
							دریافت چارت
						  <i class="fas fa-cogs pl-2"></i>  
					</button>
					<button type="button" class="btn btn-dark">
					  ذخیره چارت
					</button>
					<button type="button" id="reset_form" class="btn btn-dark">پاک کردن فرم</button>
				  </div>

		   </div>
		  </form>


		  </div>

	  </div>
	</div>
  </div>

  <div class="card">
	<div class="card-header text-right" id="headingTwo">
	  <h5 class="mb-0">
		<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
		  نمودار تولد
		</button>
	  </h5>
	</div>
	<div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
	  <div class="card-body">

		  <article class="text-center">
			<canvas id="canvas_chart" tabindex="1"  width="500" height="450"
			  ></canvas
			>
		  </article>

	  </div>
	</div>
  </div>
</div>


		<div class="collapse" id="collapseExample">

		  <!-- <article class="disable_select">
			<canvas id="canvas_info" tabindex="0" width="700" height="190"
			  >[ Information ]</canvas
			>
		  </article> -->
		</div>

	  </div>

	
  </div>
</div>

{% endblock %}